\documentclass{standalone}

\usepackage{tikz}
\input{couleur.sty}


\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm]
\clip(-1.5,-1.5) rectangle (1.5,1.5);
\fill[line width=1pt,fill=C2] (0,1) -- (1,0) -- (0,-1) -- (-1,0) -- cycle;
\draw [line width=1pt] (0,1)-- (1,0);
\draw [line width=1pt] (1,0)-- (0,-1);
\draw [line width=1pt] (0,-1)-- (-1,0);
\draw [line width=1pt] (-1,0)-- (0,1);
\draw (0,1.25) node {$A$};
\draw (1.25,0) node {$B$};
\draw (0,-1.25) node {$C$};
\draw (-1.25,0) node {$D$};
\end{tikzpicture}
\end{document}